> ## Documentation Index
> Fetch the complete documentation index at: https://docs.easy-peasy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Text

> Programmatically generate outputs for any of the [Templates](https://easy-peasy.ai/presets). Each template (preset) accepts different parameters — see the request body schema and examples below.



## OpenAPI

````yaml POST /api/generate
openapi: 3.0.1
info:
  title: Easy-Peasy.AI API
  description: >-
    OpenAPI Specifications for the Easy-Peasy.AI API.


    All API requests must be authenticated with an API key. Include the
    `x-api-key` API key in the request header with all requests. You can get the
    API key [here](https://easy-peasy.ai/settings/api).
  version: 1.0.4
servers:
  - url: https://easy-peasy.ai
security:
  - apiKeyAuth: []
paths:
  /api/generate:
    post:
      summary: Generate Text
      description: >-
        Programmatically generate outputs for any of the
        [Templates](https://easy-peasy.ai/presets). Each template (preset)
        accepts different parameters — see the request body schema and examples
        below.
      operationId: generateText
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
          description: Your API key
          example: 27feb2bb-aeb4-4a83-9fb6-8f3f2a15885e
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateRequest'
            examples:
              custom-generator:
                summary: Custom Generator
                description: >-
                  Generate custom text for any purpose.


                  **keywords** — What do you want to generate? (maxlength: 1000)


                  **extra1** — Background Information (optional) (maxlength:
                  1000)
                value:
                  preset: custom-generator
                  keywords: Write an email to potential investors about my startup
                  outputs: 1
                  language: English
                  shouldUseGPT4: false
              paragraph-writer:
                summary: Paragraph Writer
                description: |-
                  Generate paragraphs with the click of a button.

                  **keywords** — What the paragraph is about (maxlength: 1000)

                  **tone** — Tone (maxlength: 100)

                  **length** — Output length
                value:
                  preset: paragraph-writer
                  keywords: how to optimize your website for search engines
                  tone: friendly, funny, cheerful
                  length: Medium
                  outputs: 1
              instagram-post-caption:
                summary: Instagram Post Caption
                description: |-
                  Generate a caption for an Instagram post.

                  **keywords** — Post Topic (maxlength: 1000)

                  **tone** — Tone (maxlength: 1000)

                  **length** — Output length
                value:
                  preset: instagram-post-caption
                  keywords: weekend with family in the park
                  tone: friendly, funny, cheerful
                  length: Short
                  outputs: 1
              linkedin-post-generator:
                summary: LinkedIn Post Generator
                description: |-
                  Get more out of LinkedIn with the LinkedIn Post Generator.

                  **keywords** — What is your post about? (maxlength: 1000)

                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: linkedin-post-generator
                  keywords: Announcing our new AI product launch
                  tone: professional, energetic, funny
                  outputs: 1
              full-blog-post:
                summary: Full Blog Post
                description: |-
                  Generate a full blog post in seconds.

                  **extra2** — Blog post title/topic (maxlength: 1000)

                  **extra1** — Blog post intro (maxlength: 1000)

                  **keywords** — Blog post outline (maxlength: 1000)

                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: full-blog-post
                  extra2: How To Become A Software Engineer
                  extra1: >-
                    The skills required to become a software engineer. The
                    education required to become a software engineer.
                  keywords: ''
                  tone: professional, energetic, clever
                  outputs: 1
              blog-post:
                summary: Blog Post
                description: |-
                  Generate complete blog posts on any topic in seconds.

                  **keywords** — Describe your blog topic (maxlength: 1000)

                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: blog-post
                  keywords: >-
                    I visited the crypto event Token2049 in Singapore and met
                    many VCs and entrepreneurs.
                  tone: professional, energetic, clever
                  outputs: 1
              aida-framework:
                summary: AIDA Framework
                description: |-
                  Attention, Interest, Desire, Action. Generate a sales copy.

                  **keywords** — Product description (maxlength: 1000)

                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: aida-framework
                  keywords: >-
                    Easy-Peasy.AI is an AI copywriting tool that can help you
                    with a variety of writing tasks.
                  tone: professional, energetic, clever
                  outputs: 1
              before-after-bridge-framework:
                summary: Before-After-Bridge Framework
                description: |-
                  Before, After, Bridge. Generate marketing copy in seconds.

                  **keywords** — Product description (maxlength: 1000)

                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: before-after-bridge-framework
                  keywords: >-
                    Easy-Peasy.AI is an AI copywriting tool that can help you
                    with a variety of writing tasks.
                  tone: professional, energetic, clever
                  outputs: 1
              problem-agitate-solution-framework:
                summary: Problem-Agitate-Solution Framework
                description: |-
                  Problem-Agitate-Solution. Write Persuasive Copy.

                  **keywords** — Product description (maxlength: 1000)

                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: problem-agitate-solution-framework
                  keywords: >-
                    Easy-Peasy.AI is an AI copywriting tool that can help you
                    with a variety of writing tasks.
                  tone: professional, energetic, clever
                  outputs: 1
              sentence-expander:
                summary: Sentence Expander
                description: |-
                  Make your writing more engaging and interesting to read.

                  **keywords** — Sentence to expand (maxlength: 1000)

                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: sentence-expander
                  keywords: Today is good weather
                  tone: professional, energetic, clever
                  outputs: 1
              content-rewriter:
                summary: Content Rewriter
                description: |-
                  Make your content shine with our easy-to-use content rewriter.

                  **keywords** — Content (maxlength: 5000)

                  **tone** — Tone (maxlength: 1000)
                value:
                  preset: content-rewriter
                  keywords: >-
                    Most companies try to stay ahead of the curve when it comes
                    to visual design.
                  tone: friendly, funny, cheerful
                  outputs: 1
              content-summarizer:
                summary: Content Summarizer
                description: |-
                  Get the main points of any text in a fraction of the time.

                  **keywords** — Content (maxlength: 100000)

                  **length** — Output length
                value:
                  preset: content-summarizer
                  keywords: Paste your long content here to summarize.
                  length: Short
                  outputs: 1
              grammar-corrector:
                summary: Grammar Corrector
                description: |-
                  Make sure your writing is error-free.

                  **keywords** — Text (maxlength: 5000)
                value:
                  preset: grammar-corrector
                  keywords: I has breakfast with the my friends these morning.
                  outputs: 1
              native-speaker:
                summary: Native Speaker
                description: |-
                  Clear, concise and authentic writing.

                  **keywords** — Text (maxlength: 5000)
                value:
                  preset: native-speaker
                  keywords: I has breakfast with the my friends these morning.
                  outputs: 1
              email-generation:
                summary: Email Generator
                description: |-
                  Turn a sentence into an email.

                  **keywords** — Email Topic (maxlength: 1000)
                value:
                  preset: email-generation
                  keywords: ask about pay raise
                  outputs: 1
              email-subject-line-generation:
                summary: Email Subject Line Generator
                description: |-
                  Generate attention-grabbing email subject lines.

                  **keywords** — What is the email about? (maxlength: 1000)

                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: email-subject-line-generation
                  keywords: ask about pay raise
                  tone: professional, energetic
                  outputs: 1
              reply-to-email:
                summary: Reply to Email
                description: >-
                  Make your email replies more efficient.


                  **keywords** — Received Email (maxlength: 2000)


                  **extra2** — Your Reply (maxlength: 1000)


                  **extra1** — What to include in your reply? (optional)
                  (maxlength: 1000)


                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: reply-to-email
                  keywords: Hi Janice! How did you spend your weekend?
                  extra2: Positive
                  extra1: went to East Coast park with family
                  tone: professional, energetic, clever
                  outputs: 1
              reply-to-messsage:
                summary: Reply to Message
                description: >-
                  Reply to WhatsApp, Slack or any other message.


                  **keywords** — Message (maxlength: 2000)


                  **extra2** — Your Reply (maxlength: 1000)


                  **extra1** — What to include in your reply? (optional)
                  (maxlength: 1000)


                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: reply-to-messsage
                  keywords: Hi Janice! How did you spend your weekend?
                  extra2: Positive
                  extra1: went to East Coast park with family
                  tone: professional, energetic, clever
                  outputs: 1
              blog-post-title:
                summary: Blog Post Title
                description: |-
                  Generate catchy titles for your blog posts.

                  **keywords** — Describe your blog topic (maxlength: 1000)

                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: blog-post-title
                  keywords: I visited the crypto event Token2049 in Singapore.
                  tone: professional, energetic, clever
                  outputs: 1
              blog-post-outline:
                summary: Blog Post Outline
                description: |-
                  Writing a blog post is easy when you have a plan.

                  **keywords** — Blog post title/topic (maxlength: 1000)

                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: blog-post-outline
                  keywords: How To Become A Software Engineer
                  tone: professional, energetic, clever
                  outputs: 1
              blog-post-intro:
                summary: Blog Post Intro
                description: |-
                  Get your readers hooked from the very beginning.

                  **keywords** — Blog post title/topic (maxlength: 1000)

                  **extra1** — What is the blog about? (maxlength: 1000)

                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: blog-post-intro
                  keywords: How To Become A Software Engineer
                  extra1: The skills required to become a software engineer.
                  tone: professional, energetic, clever
                  outputs: 1
              blog-post-conclusion:
                summary: Blog Post Conclusion
                description: |-
                  End your blog post with a bang.

                  **keywords** — Blog post title/topic (maxlength: 1000)

                  **extra1** — What is the blog about? (maxlength: 1000)

                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: blog-post-conclusion
                  keywords: How To Become A Software Engineer
                  extra1: The skills required to become a software engineer.
                  tone: professional, energetic, clever
                  outputs: 1
              headline-generator:
                summary: Headline Generator
                description: |-
                  Make your headlines pop.

                  **keywords** — Topic (maxlength: 1000)

                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: headline-generator
                  keywords: Website Design
                  tone: catchy, energetic, clever
                  outputs: 1
              clickbait-title-generator:
                summary: Clickbait Title Generator
                description: |-
                  Generate attention-grabbing titles that get clicks.

                  **keywords** — Topic (maxlength: 1000)

                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: clickbait-title-generator
                  keywords: Website Design
                  tone: catchy, energetic, clever
                  outputs: 1
              catchy-tagline:
                summary: Catchy Tagline
                description: >-
                  Create catchy slogans and taglines.


                  **keywords** — Tell us about your business or product
                  (maxlength: 1000)
                value:
                  preset: catchy-tagline
                  keywords: >-
                    Easy-Peasy.AI is an AI copywriting tool that can help you
                    with a variety of writing tasks.
                  outputs: 1
              youtube-video-title:
                summary: YouTube Video Title
                description: |-
                  Generate catchy titles for your YouTube Videos.

                  **keywords** — What is your video about? (maxlength: 1000)

                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: youtube-video-title
                  keywords: I visited the crypto event Token2049 in Singapore.
                  tone: professional, energetic, clever
                  outputs: 1
              youtube-video-description:
                summary: YouTube Video Description
                description: |-
                  Make your videos stand out with great descriptions.

                  **keywords** — What is your video about? (maxlength: 1000)

                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: youtube-video-description
                  keywords: I visited the crypto event Token2049 in Singapore.
                  tone: professional, energetic, clever
                  outputs: 1
              youtube-video-ideas:
                summary: YouTube Video Ideas
                description: |-
                  Get inspired to make your next YouTube video.

                  **keywords** — What is your video about? (maxlength: 1000)

                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: youtube-video-ideas
                  keywords: AI and machine learning tutorials
                  tone: professional, energetic, clever
                  outputs: 1
              youtube-video-script-outline:
                summary: YouTube Video Script Outline
                description: |-
                  Make your next video a hit with a professional script outline.

                  **keywords** — What is your video about? (maxlength: 1000)

                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: youtube-video-script-outline
                  keywords: AI and machine learning tutorials
                  tone: professional, energetic, clever
                  outputs: 1
              tiktok-video-caption:
                summary: TikTok Video Caption
                description: |-
                  Get more likes and views on your TikTok videos.

                  **keywords** — What is your video about? (maxlength: 1000)

                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: tiktok-video-caption
                  keywords: I visited the crypto event Token2049 in Singapore.
                  tone: professional, energetic, clever
                  outputs: 1
              resume-headline-generator:
                summary: Resume Headline Generator
                description: |-
                  Get the Job You Want.

                  **keywords** — Job Role and skills (maxlength: 1000)

                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: resume-headline-generator
                  keywords: web developer, php, javascript
                  tone: professional, energetic
                  outputs: 1
              resume-objective-generator:
                summary: Resume Objective Generator
                description: |-
                  Create your professional resume objective.

                  **keywords** — Job Title (maxlength: 1000)

                  **extra1** — Key skills (optional) (maxlength: 1000)

                  **extra2** — Professional goals (optional) (maxlength: 1000)
                value:
                  preset: resume-objective-generator
                  keywords: Customer Service Agent
                  extra1: trained in conflict resolution and communication
                  extra2: increase sales and customer loyalty
                  outputs: 1
              linkedin-bio-generator:
                summary: LinkedIn Bio Generator
                description: |-
                  Create a custom bio that will help you stand out.

                  **keywords** — Personal Information (maxlength: 1000)
                value:
                  preset: linkedin-bio-generator
                  keywords: >-
                    Software engineer with 5 years of experience in web
                    development.
                  outputs: 1
              linkedin-headline-generator:
                summary: LinkedIn Headline Generator
                description: |-
                  Create the Perfect Professional Headline.

                  **keywords** — Job Role and skills (maxlength: 1000)

                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: linkedin-headline-generator
                  keywords: web developer, php, javascript
                  tone: professional, energetic
                  outputs: 1
              linkedin-recommendation-generator:
                summary: LinkedIn Recommendation Generator
                description: |-
                  Generate a recommendation for someone's profile.

                  **keywords** — Name of the person (maxlength: 1000)

                  **extra3** — Their Job Title (maxlength: 1000)

                  **extra1** — Company name (maxlength: 1000)

                  **extra2** — Role of the person (maxlength: 1000)

                  **extra4** — What to include (optional) (maxlength: 500)
                value:
                  preset: linkedin-recommendation-generator
                  keywords: Peter Parker
                  extra3: Web Developer
                  extra1: Google
                  extra2: Colleague
                  extra4: >-
                    Successful in managing projects and implementing new
                    technologies
                  outputs: 1
              job-description-generator:
                summary: Job Description Generator
                description: |-
                  Quickly generate job descriptions.

                  **keywords** — Job Title (maxlength: 1000)

                  **extra1** — Key skills (optional) (maxlength: 1000)
                value:
                  preset: job-description-generator
                  keywords: Customer Service Agent
                  extra1: trained in conflict resolution and communication
                  outputs: 1
              job-summary-generator:
                summary: Job Summary Generator
                description: |-
                  Get a strong, attention-grabbing summary.

                  **keywords** — Job Title (maxlength: 1000)

                  **extra1** — Company overview (optional) (maxlength: 1000)
                value:
                  preset: job-summary-generator
                  keywords: Customer Service Agent
                  extra1: >-
                    What makes your company unique. Include details about your
                    company culture
                  outputs: 1
              job-qualifications-generator:
                summary: Job Qualifications Generator
                description: |-
                  Quickly generate job qualifications.

                  **keywords** — Job Title (maxlength: 1000)

                  **extra1** — Requirements (optional) (maxlength: 1000)
                value:
                  preset: job-qualifications-generator
                  keywords: Customer Service Agent
                  extra1: educational, work Experience, soft skills, languages spoken
                  outputs: 1
              job-responsibilities-generator:
                summary: Job Responsibilities Generator
                description: >-
                  Quickly generate job responsibilities.


                  **keywords** — Job Title (maxlength: 1000)


                  **extra1** — Responsibilities and Duties (optional)
                  (maxlength: 1000)
                value:
                  preset: job-responsibilities-generator
                  keywords: Customer Service Agent
                  extra1: Specify core responsibilities, day-to-day activities
                  outputs: 1
              interview-questions-generator:
                summary: Interview Questions Generator
                description: |-
                  Make your next interview preparation a breeze.

                  **keywords** — Job Title (maxlength: 1000)
                value:
                  preset: interview-questions-generator
                  keywords: Customer Service Agent
                  outputs: 1
              interview-feedback-generator:
                summary: Interview Feedback Generator
                description: |-
                  Write Interview Feedback With Ease.

                  **keywords** — Job Title (maxlength: 1000)

                  **extra1** — Feedback Notes (maxlength: 1000)
                value:
                  preset: interview-feedback-generator
                  keywords: Lead iOS Developer
                  extra1: >-
                    8 years of experience. Knows design patterns, SOLID
                    principles.
                  outputs: 1
              performance-review-generator:
                summary: Performance Review Generator
                description: |-
                  Make your performance review process easy.

                  **keywords** — Employee Name (maxlength: 1000)

                  **extra3** — Employee Job Title (maxlength: 1000)

                  **extra1** — Key Achievements (optional) (maxlength: 1000)
                value:
                  preset: performance-review-generator
                  keywords: Peter Parker
                  extra3: Web Developer
                  outputs: 1
              smart-goal-generator:
                summary: SMART Goal Generator
                description: >-
                  Generate SMART (Specific, Measurable, Achievable, Relevant,
                  Time-bound) goals.


                  **keywords** — What do you want to achieve? (maxlength: 1000)
                value:
                  preset: smart-goal-generator
                  keywords: Increase online sales
                  outputs: 1
                  language: English
                  shouldUseGPT4: false
              testimonial-and-review-generator:
                summary: Testimonial & Review Generator
                description: |-
                  Generate Testimonials & Reviews in Seconds.

                  **keywords** — Product/Service Name (maxlength: 1000)

                  **extra1** — What to include (maxlength: 1000)

                  **tone** — Tone (optional) (maxlength: 1000)

                  **length** — Output length
                value:
                  preset: testimonial-and-review-generator
                  keywords: Easy-Peasy.AI
                  extra1: >-
                    Amazing app. can quickly create content for my blog, social
                    media, job descriptions.
                  tone: catchy, energetic, clever
                  length: Medium
                  outputs: 1
              press-release-generator:
                summary: Press Release Generator
                description: >-
                  Create Professional Press Releases in Seconds.


                  **keywords** — Product/Service Name (maxlength: 1000)


                  **extra1** — What is your Press Release about? (maxlength:
                  1000)


                  **extra2** — Keywords (optional) (maxlength: 1000)


                  **tone** — Tone (optional) (maxlength: 1000)
                value:
                  preset: press-release-generator
                  keywords: Easy-Peasy.AI
                  extra1: >-
                    Easy-Peasy.AI launches a new product called AI Audio
                    Transcription.
                  extra2: artificial intelligence, podcast, transcription
                  tone: professional
                  outputs: 1
              amazon-product-description-paragraph:
                summary: Amazon Product Description
                description: |-
                  Create Amazon product descriptions that sell.

                  **keywords** — Product Name (maxlength: 1000)

                  **extra1** — Key benefits/features (maxlength: 1000)

                  **tone** — Tone (maxlength: 1000)
                value:
                  preset: amazon-product-description-paragraph
                  keywords: Aveeno
                  extra1: >-
                    A baby soap that is gentle and effective. Formulated with
                    natural oat ingredients.
                  tone: witty, professional
                  outputs: 1
              amazon-product-bullets:
                summary: Amazon Product Bullets
                description: >-
                  Create key feature and benefit bullet points for Amazon
                  listings.


                  **keywords** — Product Name (maxlength: 1000)


                  **extra1** — Key benefits/features (maxlength: 1000)


                  **tone** — Tone (maxlength: 1000)
                value:
                  preset: amazon-product-bullets
                  keywords: Aveeno
                  extra1: >-
                    A baby soap that is gentle and effective. Formulated with
                    natural oat ingredients.
                  tone: witty, professional
                  outputs: 1
              startup-ideas:
                summary: Startup Ideas
                description: |-
                  Generate your next startup idea.

                  **keywords** — Keywords (maxlength: 1000)
                value:
                  preset: startup-ideas
                  keywords: blockchain, ecommerce
                  outputs: 1
              user-story:
                summary: User Story
                description: >-
                  Get your product features into the hands of users faster with
                  agile user stories.


                  **keywords** — Feature (maxlength: 1000)
                value:
                  preset: user-story
                  keywords: data syncing with an Apple Watch
                  outputs: 1
              acceptance-criteria:
                summary: Acceptance Criteria
                description: |-
                  Quickly and easily generate acceptance criteria.

                  **keywords** — Feature (maxlength: 1000)
                value:
                  preset: acceptance-criteria
                  keywords: data syncing with an Apple Watch
                  outputs: 1
              fill-the-gaps:
                summary: Fill the Gaps
                description: >-
                  Add contextually relevant text in the middle of existing
                  content.


                  **keywords** — Start section (maxlength: 1000)


                  **suffix** — End section (maxlength: 1000)
                value:
                  preset: fill-the-gaps
                  keywords: Hi Peter! Thank you for your offer
                  suffix: Looking forward working together with you!
                  outputs: 1
              business-name:
                summary: Business Name Generator
                description: >-
                  Generate business names that are both creative and
                  professional.


                  **keywords** — What is your business about? (maxlength: 1000)
                value:
                  preset: business-name
                  keywords: >-
                    A startup that uses AI to help copywriters create human-like
                    text.
                  outputs: 1
              eli5:
                summary: Explain Like I'm 5
                description: |-
                  Explain a complex or obscure topic in the simplest of terms.

                  **keywords** — Topic (maxlength: 1000)
                value:
                  preset: eli5
                  keywords: What is an API
                  outputs: 1
              translate-to-singlish:
                summary: Translate to Singlish
                description: |-
                  Get your message across in Singlish.

                  **keywords** — Text (maxlength: 1000)
                value:
                  preset: translate-to-singlish
                  keywords: I would like coffee with milk
                  outputs: 1
              pick-up-line-generator:
                summary: Pick Up Line Generator
                description: |-
                  Never run out of lines.

                  **keywords** — Keywords (maxlength: 100)

                  **extra2** — For whom? (maxlength: 1000)
                value:
                  preset: pick-up-line-generator
                  keywords: gym
                  extra2: Positive
                  outputs: 1
              instagram-bio:
                summary: Instagram Bio
                description: |-
                  Make your Instagram profile stand out.

                  **keywords** — Personal Information (maxlength: 1000)
                value:
                  preset: instagram-bio
                  keywords: IT guru from France. Posting about cats.
                  outputs: 1
              podcast-episode-title-generator:
                summary: Podcast Episode Title Generator
                description: >-
                  Generate podcast episode titles.


                  **keywords** — Episode Description or Summary (maxlength:
                  2000)


                  **tone** — Tone (maxlength: 1000)
                value:
                  preset: podcast-episode-title-generator
                  keywords: Discussion about the future of AI in healthcare
                  tone: professional, funny, witty
                  outputs: 1
              podcast-episode-description-generator:
                summary: Podcast Episode Description Generator
                description: |-
                  Generate podcast episode descriptions.

                  **keywords** — Episode Summary (maxlength: 2000)

                  **tone** — Tone (maxlength: 1000)
                value:
                  preset: podcast-episode-description-generator
                  keywords: Discussion about the future of AI in healthcare
                  tone: professional, funny, witty
                  outputs: 1
              podcast-show-notes-generator:
                summary: Podcast Show Notes Generator
                description: >-
                  Create show notes that will help you grow your podcast
                  audience.


                  **keywords** — Podcast Transcript or Summary (maxlength:
                  15000)


                  **extra1** — Show Notes Example (optional) (maxlength: 1500)
                value:
                  preset: podcast-show-notes-generator
                  keywords: Summary of our episode about AI trends in 2024
                  extra1: ''
                  outputs: 1
              real-estate-listing-generator:
                summary: Real Estate Listing Generator
                description: |-
                  Craft compelling real estate listings.

                  **keywords** — Information about the home (maxlength: 1000)
                value:
                  preset: real-estate-listing-generator
                  keywords: >-
                    bungalow, private pool, lift, walk to beach, future mrt. 5
                    beds. 6 baths. 2 carparks. 4510 sqft. 99 years leasehold.
                    $2.5m. Punggol.
                  outputs: 1
      responses:
        '200':
          description: Returns the generated outputs as an array
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArrayOfTexts'
        '401':
          description: Invalid payload or no available word credits
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error: Invalid API key
components:
  schemas:
    GenerateRequest:
      type: object
      required:
        - preset
        - keywords
      properties:
        preset:
          type: string
          description: >-
            The template name to use for generation. See
            [Templates](https://easy-peasy.ai/presets) for the full list.
        keywords:
          type: string
          description: The main input text or topic for the template.
          maxLength: 5000
        tone:
          type: string
          description: >-
            The desired tone of the output (e.g. `professional`, `friendly`,
            `funny`).
          maxLength: 1000
        length:
          type: string
          description: The desired output length.
          enum:
            - Short
            - Medium
            - Long
        outputs:
          type: integer
          description: Number of outputs to generate.
          default: 1
        language:
          type: string
          description: Language for the output.
          default: English
        shouldUseGPT4:
          type: boolean
          description: Whether to use the advanced AI model.
          default: false
        extra1:
          type: string
          description: >-
            Additional context field. Usage varies by template (e.g. background
            information, key skills, blog intro).
          maxLength: 1000
        extra2:
          type: string
          description: >-
            Additional context field. Usage varies by template (e.g. blog post
            title, reply sentiment).
          maxLength: 1000
        extra3:
          type: string
          description: Additional context field. Usage varies by template (e.g. job title).
          maxLength: 1000
        extra4:
          type: string
          description: >-
            Additional context field. Usage varies by template (e.g.
            recommendation details).
          maxLength: 500
        suffix:
          type: string
          description: End section text for the Fill the Gaps template.
          maxLength: 1000
    ArrayOfTexts:
      type: array
      items:
        type: object
        properties:
          id:
            type: integer
          name:
            type: string
      example:
        - id: 10
          name: Output 1
        - id: 20
          name: Output 2
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
          example: Invalid API key
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key for authentication. Get yours at
        https://easy-peasy.ai/settings/api

````